.\" DAL DaGetNodeFd(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DAGETNODEFD "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaGetNodeFd \- get node descriptor for the given handle
.SH SYNOPSIS
.B int DaGetNodeFd(HANDLE \fIhandle\fB);
.SH DESCRIPTION
The \fIDaGetNodeFd()\fR function returns a Driver/Simulator node descriptor for
the given \fIhandle\fR. User can use it to access driver directly, i.e. bypass
\fBDAL\fR library interface to implement his own register accessing.
\fIhandle\fR - is a library handle, returned by \fIDaEnableAccess()\fR call.
.SH RETURN VALUE
.TP
.B open node descriptor\fR (Some positive value)
- if all is OK
.TP
.B -DA_ERR_BAD_HANDLE
- library \fIhandle\fR is bad
.TP
.B -DA_ERR_NOT_INIT
- library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.SH AUTHOR
Written by Yury Georgievskiy <ygeorgie@gmail.com>
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
